javax.jdo.annotations

## Enum DiscriminatorStrategy

- java.lang.Object
- - java.lang.Enum<DiscriminatorStrategy>
  - - javax.jdo.annotations.DiscriminatorStrategy

- All Implemented Interfaces:
    Serializable, Comparable<DiscriminatorStrategy>

      public enum DiscriminatorStrategy
      extends Enum<DiscriminatorStrategy>

  Enumeration of the discriminator strategy values.
  Since:
    2.1
  Version:
    2.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS_NAME`
    `NONE`
    `UNSPECIFIED`
    `VALUE_MAP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DiscriminatorStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DiscriminatorStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final DiscriminatorStrategy UNSPECIFIED

    - #### NONE

          public static final DiscriminatorStrategy NONE

    - #### VALUE_MAP

          public static final DiscriminatorStrategy VALUE_MAP

    - #### CLASS_NAME

          public static final DiscriminatorStrategy CLASS_NAME

  - ### Method Detail

    - #### values

          public static DiscriminatorStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DiscriminatorStrategy c : DiscriminatorStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DiscriminatorStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.